<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//oos.juyouhx.com//DTD Mapper 3.0//EN" "http://oss.juyouhx.com/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.scpyun.platform.standard.jilinsscgsdp.KeyPersonPower" name="按钮权限">
   <select id="selectPower" parameterType="map" resultType="map">
       select
           rating_dict_value,
           rating_dict_label,
           rating_visit_office
       from
        jl_key_person_visit_power
   </select>

    <select id="selectDicByType" parameterType="map" resultType="map">
        select
            value,
            label
        from sys_dict where type = #{type} and del_flag = '0'
    </select>

    <select id="selectOfficeById" parameterType="map" resultType="map">
        select
            *
        from
            sys_office
        where
            id = #{id}
    </select>

    <select id="selectPowerOfficeNumber" parameterType="map" resultType="map">
        select
        count(*) as num
        from
        jl_key_person_rating_office
    </select>

    <select id="selectPowerOffice" parameterType="map" resultType="map">
        select
        *
        from
        jl_key_person_rating_office
        where id = #{id}
    </select>
</mapper>
